<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';



// Проверка переменных
$id = intval($_GET['id']);
$kod = intval($_POST['kod']);
is_num($_GET['eval'],'eval');








if(!empty($kod)){
$smspas = mysql_fetch_row(mysql_query('SELECT (`time`) FROM `'.$setup['pref'].'smspas`  WHERE `pas` = '.$kod));  //смотрим пас
	if ($smspas[0] AND $smspas[0]>=$time) {            //если пароль верный,и срок действия не вышел.
      setcookie("smspas", $kod, mktime(0,0,0,1,1,2012)); //записываем пароль в куки
      header('Location: load.php?id='.$id.'');

          die();
}
else {

echo '<div class="menu"><font color="red">Пароль неверный,или время его действия закончилось.</font></div>';





}
 }
##############Заголовок##########################

echo '<div class="menu"> Раздел платный!</div>';
$razdely= '<div class="list1"> '.bbcode($setup['sms_info']).'<font color="red"><b>'.$setup['sms_pas'].' '.$_COOKIE[ "pid" ].'</b></font></div>';
echo $razdely;
/////////////////////////////////////////////////////////////////таблица цен за смс
echo '<div class="list2"><table  width="40%" style="font-size:9px;" border="1">
    	<tr style="font-size:9px;">
      <td width="5%"><b><center>Номер</center></b></td>
		<td width="5%"><b><center>Время действия(час.)</center></b></td>
    	<td width="5%"><b><center>Оператор/Цена</center></b></td>
      </tr>';
    	
$query = mysql_query('SELECT * FROM `'.$setup['pref'].'smsnum` ORDER BY `time` DESC');
while($list_sw = mysql_fetch_array($query)){
$array_id[] = $list_sw['id'];
}
$all = sizeof($array_id);
$n = 0;
if(!$all) echo '<div class="list1">Нет активных номеров для оплаты доступа.</div>';
//Выводим номера
for($i=1; $i<=$all; $i++)
{
if(!isset($array_id[$n]))
{
$n++;
continue;
}

$komments = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'smsnum`  WHERE `id` = '.$array_id[$n]));

print '
<tr>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['num'].' </b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['time'].'</b></span></center></td>
<td width="5%"><center><span style="color:#000F;text-decoration:none;"><b>'.$komments['value'].'</b></span></center></td>
</tr>';
$n++;
}
echo ' </table></div>';    	
////////////////////////////////////////////////////////////////

echo '<div class="menu">Введите полученый вами код:</div><div class="list1">
<form action="pay.php?id='.$id.'" method="post">
<input maxlength="10" class="enter" type="text" name="kod"/><br/>
<input class="buttom" type="submit" name="list1" value="ок"/>
</form>
</div>';


 echo '
<div class="bmenu">
<li><a href="view.php?id='.$id.'">К файлу</a></li>
<li><a href="index.php?">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
';
 echo '</div>';
require_once ("moduls/foot.php");
?>
